<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="..\configs.props" />
  <PropertyGroup Label="PropertySheets">
    <PlatformToolset>WindowsKernelModeDriver10.0</PlatformToolset>
    <ConfigurationType>Utility</ConfigurationType>
    <DriverType>Package</DriverType>
    <DisableFastUpToDateCheck>true</DisableFastUpToDateCheck>
    <SupportsPackaging>true</SupportsPackaging>
    <DriverTargetPlatform>Desktop</DriverTargetPlatform>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Label="Globals">
    <ProjectGuid>{73768CC9-DB26-4297-9EC8-1042F815EB15}</ProjectGuid>
  </PropertyGroup>
  <Import Project="..\targets.props" />
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <PropertyGroup>
    <EnableInf2cat>true</EnableInf2cat>
    <Inf2CatWindowsVersionList Condition="'$(Platform)'=='x64'">8_x64;Server8_x64;10_x64;Server10_x64</Inf2CatWindowsVersionList>
    <Inf2CatWindowsVersionList Condition="'$(Platform)'=='Win32'">8_x86;10_x86</Inf2CatWindowsVersionList>
    <DebuggerFlavor>DbgengKernelDebugger</DebuggerFlavor>
    <EnableDeployment>False</EnableDeployment>
    <ImportToStore>False</ImportToStore>
    <InstallMode>None</InstallMode>
    <ScriptDeviceQuery>%PathToInf%</ScriptDeviceQuery>
    <EnableVerifier>False</EnableVerifier>
    <AllDrivers>False</AllDrivers>
    <VerifyProjectOutput>True</VerifyProjectOutput>
    <VerifyFlags>133563</VerifyFlags>
    <IntDir>..\$(ProjectName)\$(ConfigurationName)\$(Platform)\</IntDir>
    <OutDir>..\$(ConfigurationName)\$(Platform)\</OutDir>
  </PropertyGroup>
  <ItemGroup>
    <ProjectReference Include="..\xenvif\xenvif.vcxproj">
      <Project>{C3F96D4C-E441-47F7-A44C-D2D0543C1D18}</Project>
    </ProjectReference>
    <ProjectReference Include="..\xenvif_coinst\xenvif_coinst.vcxproj">
      <Project>{2BFAC7E6-3420-47A5-A092-BDC5C9D78A44}</Project>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup Condition="Exists('$(DPINST_REDIST)')">
    <FilesToPackage Include="$(DPINST_REDIST)\x86\dpinst.exe" Condition="'$(Platform)'=='Win32'" />
    <FilesToPackage Include="$(DPINST_REDIST)\x64\dpinst.exe" Condition="'$(Platform)'=='x64'" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>
